### Enumeration

# Gtk InscriptionOverflow

since: 4.8

#### Declaration

    enum Gtk.InscriptionOverflow

#### Description [src]

The different methods to handle text in `GtkInscription` when it doesn’t fit the available space.

Available since: 4.8

#### Members

Name | Description
--- | ---
`GTK_INSCRIPTION_OVERFLOW_CLIP` | Clip the remaining text.
`GTK_INSCRIPTION_OVERFLOW_ELLIPSIZE_START` | Omit characters at the start of the text.
`GTK_INSCRIPTION_OVERFLOW_ELLIPSIZE_MIDDLE` | Omit characters at the middle of the text.
`GTK_INSCRIPTION_OVERFLOW_ELLIPSIZE_END` | Omit characters at the end of the text.